Name:     response-dumper-icap
Version:  1.0.0
Release:  1%{?dist}
Summary:  HTTP Response Dumper ICAP service
Epoch:    7
Packager: Eliezer Croitoru <eliezer@ngtech.co.il>
Vendor:   NgTech Ltd
License:  3 Clause BSD
Group:    System Environment/Daemons
URL:      http://www.ngtech.co.il/squidblocker_en.html
Source0:  response-dumper.service
Source1:  response-dumper.env
Source2:  README.md
Source3:  response-dumper

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(preun):  systemd
Requires(postun): systemd
Requires:       systemd-units
# Required to allow debug package auto creation
BuildRequires:  redhat-rpm-config
BuildRequires:  systemd-units

# Required to validate auto requires AutoReqProv: no
## aaaAutoReqProv: no

%description
Squid Blocker for maximum uptime filtering and fast updates.

%prep
mkdir -p ${RPM_BUILD_ROOT}%{_unitdir}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/response-dumper
install -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}%{_unitdir}
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_sbindir}/response-dumper
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/response-dumper/response-dumper.env
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/response-dumper/README.md

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%attr(755,root,root) %dir %{_sysconfdir}
%attr(755,root,root) %dir %{_sysconfdir}/response-dumper
%{_sbindir}/response-dumper
%config(noreplace) %{_sysconfdir}/response-dumper/response-dumper.env
%{_sysconfdir}/response-dumper/README.md
%{_unitdir}/response-dumper.service

%post
%systemd_post response-dumper.service

%preun
%systemd_preun response-dumper.service

%postun
%systemd_postun_with_restart response-dumper.service

%changelog
* Thu Mar 12 2018 Eliezer Croitoru <eliezer@ngtech.co.il>
- Release 1.0.0 Stable.
